//
// CaloLEVEL1.cc -- standalone program to call the CaloLEVEL1 macro. 
//    by Emiliano Mocchiutti
//
//   Version 1.00 (2005/08/16)
//
// Changelog: 
//
// 0.00 - 1.00 : working.
//
#include <TString.h>
#include <caloclasses.h>
#include <iostream>
//
extern short int CaloLEVEL1(TString , TString , int );
extern void info();
using namespace std;
//
int main(int numinp, char *inps[]){
  TString name;
  TString calibname;
  int force;
  if ( numinp != 4 ){
    if ( numinp > 1 ){
      if ( !strcmp(inps[1],"--version") ){
	info();
	return(0);
      };
    };
    printf("\nUsage:\n\n CaloLEVEL1 file calib_file force \n");
    printf("\n - file                must be in the form: /path/to/filesfromyoda/dw_000000_00000/  \n");
    printf(  " - calib_file          calibration file (if any) in the same form \n");
    printf(  " - force               force flag (0 not force/1 force) \n");
    printf("\nExample: \n\nCaloLEVEL1 /home/pamela/filesfromyoda/dw_050301_00100/ \"\" 0 \n\n");
    return(0);
    //
  } else {
    printf("\n Welcome to CaloLEVEL1! \n");
    name = (TString)inps[1];
    calibname = (TString)inps[2];
    force = atoi(inps[3]);
  };
  //
  int ERR = CaloLEVEL1(name,calibname,force);
  //
  return(ERR);
}
